Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityClientPlayerMP

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityPlayer
                  net.minecraft.src.EntityPlayerSP
                      net.minecraft.src.EntityClientPlayerMP

All Implemented Interfaces:
  ICommandSender

    public class EntityClientPlayerMP

extends EntityPlayerSP

Field Summary
`NetClientHandler` | `sendQueue`

Fields inherited from class net.minecraft.src.EntityPlayerSP
`movementInput, prevRenderArmPitch, prevRenderArmYaw, prevTimeInPortal, renderArmPitch, renderArmYaw, sprintingTicksLeft, timeInPortal`

Fields inherited from class net.minecraft.src.EntityPlayer
`cameraYaw, capabilities, craftingInventory, experience, experienceLevel, experienceTotal, field_71079_bU, field_71082_cx, field_71085_bR, field_71089_bV, field_71091_bM, field_71094_bP, field_71095_bQ, field_71096_bN, field_71097_bO, field_71098_bD, fishEntity, inventory, inventorySlots, playerCloakUrl, playerLocation, prevCameraYaw, username, xpCooldown`

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82181_as, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityClientPlayerMP(Minecraft par1Minecraft, World par2World, Session par3Session, NetClientHandler par4NetClientHandler)`

Method Summary
`void` | `addStat(StatBase par1StatBase, int par2)` Adds a value to a statistic field.
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`void` | `closeScreen()` sets current screen to null (used on escape buttons of GUIs)
`EntityItem` | `dropOneItem()` Called when player presses the drop item key
`boolean` | `func_71066_bF()`
`void` | `heal(int par1)` Heal living entity (param: amount of half-hearts)
`void` | `incrementStat(StatBase par1StatBase, int par2)` Used by NetClientHandler.handleStatistic
`void` | `joinEntityItemWithWorld(EntityItem par1EntityItem)` Joins the passed in entity item with the world.
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `respawnPlayer()`
`void` | `sendChatMessage(String par1Str)` Sends a chat message from the player.
`void` | `sendMotionUpdates()` Send updated motion and position information to the server
`void` | `sendPlayerAbilities()` Sends the player's abilities to the server (if there is one).
`void` | `setHealth(int par1)` Updates health locally.
`void` | `swingItem()` Swings the item the player is holding.

Methods inherited from class net.minecraft.src.EntityPlayerSP
`addChatMessage, canCommandSenderUseCommand, displayGUIAnvil, displayGUIBeacon, displayGUIBook, displayGUIBrewingStand, displayGUIChest, displayGUIDispenser, displayGUIEditSign, displayGUIEnchantment, displayGUIFurnace, displayGUIMerchant, displayGUIWorkbench, getFOVMultiplier, getHeldItem, getPlayerCoordinates, isSneaking, moveEntity, onCriticalHit, onEnchantmentCritical, onItemPickup, onLivingUpdate, sendChatToPlayer, setSprinting, setXPStats, updateCloak, updateEntityActionState`

Methods inherited from class net.minecraft.src.EntityPlayer
`addExhaustion, addExperience, addExperienceLevel, addMovementStat, addToPlayerScore, attackTargetEntityWithCurrentItem, canCurrentToolHarvestBlock, canEat, canHarvestBlock, clearItemInUse, clonePlayer, destroyCurrentEquippedItem, dropPlayerItem, dropPlayerItemWithRandomChoice, func_82238_cc, func_82243_bO, func_82245_bX, func_82247_a, func_85039_t, func_85040_s, getBedOrientationInDegrees, getCommandSenderName, getCurrentArmor, getCurrentEquippedItem, getCurrentItemOrArmor, getCurrentPlayerStrVsBlock, getCurrentPlayerStrVsBlock, getEntityName, getEyeHeight, getFoodStats, getInventoryEnderChest, getItemIcon, getItemInUse, getItemInUseCount, getItemInUseDuration, getLastActiveItems, getMaxHealth, getMaxInPortalTime, getPortalCooldown, getScore, getSleepTimer, getSpawnChunk, getTotalArmorValue, getTranslator, getYOffset, handleHealthUpdate, interactWith, isBlocking, isEntityInsideOpaqueBlock, isPlayerFullyAsleep, isPlayerSleeping, isUsingItem, moveEntityWithHeading, onDeath, onKillEntity, openGui, preparePlayerToSpawn, readEntityFromNBT, sendGameTypeToPlayer, setCurrentItemOrArmor, setDead, setInWeb, setItemInUse, setSpawnChunk, shouldHeal, sleepInBedAt, stopUsingItem, translateString, triggerAchievement, updateRidden, verifyRespawnCoordinates, wakeUpPlayer, writeEntityToNBT, xpBarCap`

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, attackEntityAsMob, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_70079_am, func_82143_as, func_82159_b, func_82161_a, func_82165_m, func_85034_r, func_85035_bI, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCanSpawnHere, getCreatureAttribute, getEntitySenses, getHealth, getHomePosition, getJumpHelper, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSpeedModifier, getSwingProgress, getTalkInterval, getTexture, getVerticalFaceSpeed, hasHome, initCreature, isChild, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, onEntityUpdate, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, shouldRiderFaceForward, spawnExplosionParticle`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addVelocity, applyEntityCollision, canAttackWithItem, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82142_c, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, func_85029_a, func_85031_j, func_85032_ar, func_90999_ad, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getMountedYOffset, getParts, getPersistentID, getPickedResult, getShadowSize, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityEqual, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSprinting, isWet, mountEntity, moveFlying, onCollideWithPlayer, onStruckByLightning, readFromNBT, setAir, setAngles, setEating, setFire, setInPortal, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sendQueue

    public NetClientHandler sendQueue

Constructor Detail

### EntityClientPlayerMP

    public EntityClientPlayerMP(Minecraft par1Minecraft,
                                World par2World,
                                Session par3Session,
                                NetClientHandler par4NetClientHandler)

Method Detail

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `EntityPlayer`

### heal

    public void heal(int par1)

  Heal living entity (param: amount of half-hearts)

  Overrides:
    `heal` in class `EntityLiving`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `EntityPlayer`

### sendMotionUpdates

    public void sendMotionUpdates()

  Send updated motion and position information to the server

### dropOneItem

    public EntityItem dropOneItem()

  Called when player presses the drop item key

  Overrides:
    `dropOneItem` in class `EntityPlayer`

### joinEntityItemWithWorld

    public void joinEntityItemWithWorld(EntityItem par1EntityItem)

  Joins the passed in entity item with the world. Args: entityItem

  Overrides:
    `joinEntityItemWithWorld` in class `EntityPlayer`

### sendChatMessage

    public void sendChatMessage(String par1Str)

  Sends a chat message from the player. Args: chatMessage

### swingItem

    public void swingItem()

  Swings the item the player is holding.

  Overrides:
    `swingItem` in class `EntityLiving`

### respawnPlayer

    public void respawnPlayer()

  Overrides:
    `respawnPlayer` in class `EntityPlayer`

### closeScreen

    public void closeScreen()

  sets current screen to null (used on escape buttons of GUIs)

  Overrides:
    `closeScreen` in class `EntityPlayerSP`

### setHealth

    public void setHealth(int par1)

  Updates health locally.

  Overrides:
    `setHealth` in class `EntityPlayerSP`

### addStat

    public void addStat(StatBase par1StatBase,
                        int par2)

  Adds a value to a statistic field.

  Overrides:
    `addStat` in class `EntityPlayerSP`

### incrementStat

    public void incrementStat(StatBase par1StatBase,
                              int par2)

  Used by NetClientHandler.handleStatistic

### sendPlayerAbilities

    public void sendPlayerAbilities()

  Sends the player's abilities to the server (if there is one).

  Overrides:
    `sendPlayerAbilities` in class `EntityPlayer`

### func_71066_bF

    public boolean func_71066_bF()

  Overrides:
    `func_71066_bF` in class `EntityPlayer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD